import React from 'react';
import styles from './JsonViewer.module.css';

const JsonViewer: React.FC<{ data: any }> = ({ data }) => {
  if (data === undefined || data === null) return <div className={styles.noData}>-</div>;
  try {
    return <pre className={styles.pre}>{JSON.stringify(data, null, 2)}</pre>;
  } catch (e) {
    return <div className={styles.error}>Не удалось отобразить JSON</div>;
  }
};

export default JsonViewer; 