import React, { Suspense, lazy } from 'react';
import { Routes, Route, Navigate } from 'react-router-dom';

// Ленивая загрузка страниц
const CalculationFormPage = lazy(() => import('../pages/CalculationForm'));
const HistoryPage = lazy(() => import('../pages/History'));
const CalculationResultPage = lazy(() => import('../pages/CalculationResult'));

const LoadingIndicator = () => <div>Загрузка...</div>;

const AppRouter: React.FC = () => {
  return (
    <Suspense fallback={<LoadingIndicator />}>
      <Routes>
        <Route path="/calculate" element={<CalculationFormPage />} />
        <Route path="/history" element={<HistoryPage />} />
        <Route path="/calculation/:id" element={<CalculationResultPage />} />
        <Route path="/" element={<Navigate to="/calculate" replace />} />
        <Route path="*" element={<div>404 - Страница не найдена</div>} />
      </Routes>
    </Suspense>
  );
};

export default AppRouter; 