// Типы, соответствующие Pydantic схемам из backend/app/schemas/calculation.py

/**
 * Данные, необходимые для запуска расчета (соответствует CalculationCreate)
 */
export interface CalculationCreate {
  input_params: Record<string, any>; // JSON -> Record<string, any>
  model_name?: string | null;
}

/**
 * Полные данные о расчете (соответствует CalculationRead)
 */
export interface CalculationRead {
  id: number;
  input_params: Record<string, any>;
  output_results?: Record<string, any> | null;
  timestamp: string; // DateTime -> string
  model_name?: string | null;
  objective_score?: number | null;
}

// Опционально: Тип для элемента в массиве layout из output_results заглушки
export interface LayoutPiece {
    piece_id: number;
    x: number;
    y: number;
    width: number;
    height: number;
}

// Добавим тип для данных формы (может немного отличаться от CalculationCreate)
export interface CalculationFormData {
    // Примерные поля, которые могут быть в форме
    sheetWidth: number;
    sheetHeight: number;
    pieceList: string; // Например, строка с размерами деталей "200x300, 150x100"
    modelName?: string;
} 